aboutsummaryrefslogtreecommitdiff
path: root/network
diff options
context:
space:
mode:
Diffstat (limited to 'network')
-rw-r--r--network/mozilla-prism/README17
-rw-r--r--network/mozilla-prism/application.ini12
-rw-r--r--network/mozilla-prism/mozilla-prism.SlackBuild65
-rw-r--r--network/mozilla-prism/mozilla-prism.desktop9
-rw-r--r--network/mozilla-prism/mozilla-prism.info8
-rw-r--r--network/mozilla-prism/slack-desc19
6 files changed, 130 insertions, 0 deletions
diff --git a/network/mozilla-prism/README b/network/mozilla-prism/README
new file mode 100644
index 000000000000..651429a60eec
--- /dev/null
+++ b/network/mozilla-prism/README
@@ -0,0 +1,17 @@
+Prism is a simple XULRunner-based browser that hosts web applications without
+the normal web browser user interface. Prism is based on a concept called
+Site-Specific Browsers (SSB). An SSB is designed to work exclusively with a
+single web application. It doesn't have the menus, toolbars and other
+accoutrements of a traditional web browser. An SSB also offers tighter
+integration with the operating system and desktop than a typical web
+application running through a web browser. Applications running in an SSB are
+therefore able to benefit from many of the advantages of the desktop and of
+the web at the same time.
+
+Benefits:
+ * separate proecesses
+ * minimal user interface
+ * basic desktop integration
+ * customization
+
+This is a repackaged version of the official Mozilla Prism tarball.
diff --git a/network/mozilla-prism/application.ini b/network/mozilla-prism/application.ini
new file mode 100644
index 000000000000..1071a58f9717
--- /dev/null
+++ b/network/mozilla-prism/application.ini
@@ -0,0 +1,12 @@
+[App]
+Name=Prism
+Version=0.9
+BuildID=2008022008
+ID=prism@developer.mozilla.org
+
+[Gecko]
+MinVersion=1.8.1.0
+MaxVersion=1.9.0.*
+
+[XRE]
+EnableExtensionManager=1
diff --git a/network/mozilla-prism/mozilla-prism.SlackBuild b/network/mozilla-prism/mozilla-prism.SlackBuild
new file mode 100644
index 000000000000..3357e075facb
--- /dev/null
+++ b/network/mozilla-prism/mozilla-prism.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for Mozilla Prism.
+
+# This is not a source build script: it builds a Slackware package from the
+# officially distributed Mozilla Prism binary tarball
+
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mozilla-prism
+VERSION=${VERSION:-0.9}
+ARCH=i686
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+mkdir -p $PKG/usr/lib
+( cd $PKG/usr/lib
+ tar xvf $CWD/prism-$VERSION.en-US.linux-$ARCH.tar.bz2
+ mv prism prism-$VERSION
+ ln -sf prism-$VERSION prism
+ cat $CWD/application.ini > prism-$VERSION/application.ini
+)
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin ; ln -sf /usr/lib/prism-$VERSION/prism . )
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $PKG/usr/lib/prism-$VERSION/chrome/icons/default/app.png > $PKG/usr/share/pixmaps/prism.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/mozilla-prism/mozilla-prism.desktop b/network/mozilla-prism/mozilla-prism.desktop
new file mode 100644
index 000000000000..f3e2b63d730c
--- /dev/null
+++ b/network/mozilla-prism/mozilla-prism.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Exec=prism %u
+Icon=prism
+Type=Application
+Categories=Network;
+Name=Prism
+GenericName=Site-Specific Browser
+MimeType=application/x-webrunner;
+X-KDE-StartupNotify=true
diff --git a/network/mozilla-prism/mozilla-prism.info b/network/mozilla-prism/mozilla-prism.info
new file mode 100644
index 000000000000..7de7617f4e2f
--- /dev/null
+++ b/network/mozilla-prism/mozilla-prism.info
@@ -0,0 +1,8 @@
+PRGNAM="mozilla-prism"
+VERSION="0.9"
+HOMEPAGE="https://developer.mozilla.org/en/Prism"
+DOWNLOAD="http://people.mozilla.com/~mfinkle/prism/prism-0.9.en-US.linux-i686.tar.bz2"
+MD5SUM="3ea7ab1fe97231ba73881509da0e6d3a"
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="rworkman"
diff --git a/network/mozilla-prism/slack-desc b/network/mozilla-prism/slack-desc
new file mode 100644
index 000000000000..fce69123b9d3
--- /dev/null
+++ b/network/mozilla-prism/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+mozilla-prism: mozilla-prism (Mozilla Prism Site-Specific Browser)
+mozilla-prism:
+mozilla-prism: Prism is a simple XULRunner-based browser that hosts web applications
+mozilla-prism: without the normal web browser user interface. Prism is based on a
+mozilla-prism: concept called Site-Specific Browsers (SSB). An SSB is designed to
+mozilla-prism: work exclusively with a single web application. It doesn't have the
+mozilla-prism: menus, toolbars and other accoutrements of a traditional web browser.
+mozilla-prism: An SSB also offers tighter integration with the operating system and
+mozilla-prism: desktop than a typical web application running through a web browser.
+mozilla-prism: Applications running in an SSB are therefore able to benefit from many
+mozilla-prism: of the advantages of the desktop and of the web at the same time.